Uživatel není členem

Moses SkodaVývojář1 min čtení

API při tomto problému vrací 404 Not Found. Hodnota type je https://lingo.dev/docs/api/errors/user-not-member. Společnou strukturu všech chyb najdete v části Chyby a stavové kódy.

Uživatel <userId> není členem této organizace. Nejprve ho pozvěte a pak mu nastavte roli.

Pole#

Kromě standardních položek type, status, title a detail obsahuje tělo odpovědi následující pole. Z jejich hodnot se sestavuje text detail, takže klient může místo něj zobrazit vlastní text.

PoleTyp
organizationIdstring
userIdstring

Příklad#

json
{
  "detail": "User <userId> is not a member of this organization. Invite them first, then set their role.",
  "organizationId": "<organizationId>",
  "userId": "<userId>",
  "type": "https://lingo.dev/docs/api/errors/user-not-member",
  "status": 404,
  "title": "User not a member"
}

Koncové body, které chybu vracejí#

  • PATCH /v2/organizations/{orgId}/members/{userId}